=== debian/changelog ===
sonivoxeas-dmo (1:1.4.1-dmo0+deb12u1) stable; urgency=medium

  * Back to 1.4.1 and force to build with Qt5

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 14 Jun 2023 12:01:21 +0200

sonivoxeas-dmo (1.5.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 11 Jun 2023 08:37:22 +0200

sonivoxeas-dmo (1.4.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Sep 2022 17:04:50 +0200

sonivoxeas-dmo (1.4.0-dmo1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright Updated to GPLv3

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 29 Jul 2022 07:55:14 +0200

sonivoxeas (1.3.0-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Jan 2021 14:05:10 +0100
