=== debian/control ===
Source: sonivoxeas-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/pedrolcl/Linux-SonivoxEas
Rules-Requires-Root: no
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), cmake, ninja-build, libasound2-dev,
 libdrumstick-dev (>= 1:2.0.0~), qtbase5-dev, libpulse-dev, libsonivox-dev

Package: sonivoxeas-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: sonivoxeas
Description: Sonivox EAS for Linux and Qt
 A Linux MIDI Synth library based on the Sonivox EAS Synthesizer published
 by Google on the Android Open Source Project. It is a real time GM
 synthesizer without needing external soundfonts, using embedded samples
 instead. It consumes very little resources, so it may be indicated in
 Linux projects for small embedded devices.
 .
 Package with the Qt5 graphique interface.

Package: sonivoxeas-cli
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Sonivox EAS for Linux
 A Linux MIDI Synth library based on the Sonivox EAS Synthesizer published
 by Google on the Android Open Source Project. It is a real time GM
 synthesizer without needing external soundfonts, using embedded samples
 instead. It consumes very little resources, so it may be indicated in
 Linux projects for small embedded devices.
 .
 Package with the command line version.

Package: libsvoxeas1
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux synthesizer shared library, using ALSA Sequencer and PulseAudio
 A Linux MIDI Synth library based on the Sonivox EAS Synthesizer published
 by Google on the Android Open Source Project. It is a real time GM
 synthesizer without needing external soundfonts, using embedded samples
 instead. It consumes very little resources, so it may be indicated in
 Linux projects for small embedded devices.
 .
 This package contains the runtime files.

Package: libsvoxeas-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libsvoxeas1 (= ${binary:Version}), ${misc:Depends}
Description: Linux synthesizer shared library, using ALSA Sequencer and PulseAudio
 A Linux MIDI Synth library based on the Sonivox EAS Synthesizer published
 by Google on the Android Open Source Project. It is a real time GM
 synthesizer without needing external soundfonts, using embedded samples
 instead. It consumes very little resources, so it may be indicated in
 Linux projects for small embedded devices.
 .
 This package contains the development files.
