=== debian/watch ===
version=4

https://github.com/pedrolcl/Linux-SonivoxEas/releases \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
