=== debian/changelog ===
sonivoxeas-dmo (1:1.6.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 23 Dec 2024 23:38:54 +0100

sonivoxeas-dmo (1:1.5.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 24 Sep 2024 14:20:49 +0200

sonivoxeas-dmo (1:1.5.0-dmo5) unstable; urgency=medium

  * Build with Qt6 6.6

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Jun 2024 10:15:01 +0200

sonivoxeas-dmo (1:1.5.0-dmo4) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 12 Mar 2024 09:48:53 +0100

sonivoxeas-dmo (1:1.5.0-dmo3) unstable; urgency=medium

  * Build with drumstick build with sonivox 3.6.12

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 15 Jun 2023 07:48:49 +0200

sonivoxeas-dmo (1.5.0-dmo2) unstable; urgency=medium

  * Build with QT6

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 14 Jun 2023 10:58:47 +0200
