=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/pedrolcl/Linux-SonivoxEas
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13), cmake, ninja-build, libasound2-dev,
- libdrumstick-dev (>= 1:2.0.0~), qtbase5-dev, libpulse-dev, libsonivox-dev
+ libdrumstick-dev (>= 1:2.10~), qt6-base-dev, libpulse-dev,
+ libsonivox-dev (>= 3.6.15~), libxkbcommon-dev
 
 Package: sonivoxeas-gui
 Architecture: any
