=== debian/watch ===
version=4

https://github.com/pedrolcl/Linux-SonivoxEas/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
