## sonivoxeas-dmo 1.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-cmake_minimum_required(VERSION 3.9)
+cmake_minimum_required(VERSION 3.21)
 project( EASSynth
-         VERSION 1.6.0
+         VERSION 1.7.0
          DESCRIPTION "Sonivox EAS for Linux and Qt" )
 
 set(CMAKE_CXX_STANDARD 11)
@@ -22,7 +22,8 @@
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(PULSE REQUIRED IMPORTED_TARGET libpulse-simple)
 
-find_package(sonivox 3.6.15 CONFIG)
+set(sonivox_SHARED_LIBS ON) # set this OFF to use static sonivox
+find_package(sonivox 4.0 CONFIG REQUIRED)
 if (NOT sonivox_FOUND)
     message(FATAL_ERROR "Sonivox library not found")
     #alternative: use sonivox as a git submodule:
