=== debian/changelog ===
sonivoxeas-dmo (1:1.7.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 31 Dec 2025 00:33:45 +0100

sonivoxeas-dmo (1:1.6.0-dmo2) unstable; urgency=medium

  * Build with libsonivox4

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 30 Dec 2025 16:11:26 +0100
