=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: sonivoxeas-dmo
 Section: sound
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/pedrolcl/Linux-SonivoxEas
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13), cmake, ninja-build, libasound2-dev,
  libdrumstick-dev (>= 1:2.10~), qt6-base-dev, libpulse-dev,
- libsonivox-dev (>= 3.6.15~), libxkbcommon-dev
+ libsonivox-dev (>= 4.0.0~), libxkbcommon-dev
 
 Package: sonivoxeas-gui
 Architecture: any
